Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.scala
[Groovy] Class ScalaDocOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions
          org.gradle.api.tasks.scala.ScalaDocOptions

    class ScalaDocOptions
    extends AbstractOptions

Property Summary
`java.util.List` | `additionalParameters` Additional parameters passed to the compiler.
`java.lang.String` | `bottom` Html text to appear in the bottom text for each page.
`boolean` | `deprecation` Generate deprecation information.
`java.lang.String` | `docTitle` Html text to appear in the main frame title.
`java.lang.String` | `footer` Html text to appear in the footer for each page.
`java.lang.String` | `header` Html text to appear in the header for each page.
`java.io.File` | `styleSheet` Style sheet to override default style.
`java.lang.String` | `top` Html text to appear in the top text for each page.
`boolean` | `unchecked` Generate unchecked information.
`java.lang.String` | `windowTitle` Text to appear in the window title.

Method Summary
`java.util.Map` | `fieldName2AntMap()`
`java.util.Map` | `fieldValue2AntMap()`

Methods inherited from class AbstractOptions
addValueToMapIfNotNull, define, excludedFieldsFromOptionMap, fieldName2AntMap, fieldValue2AntMap, isOptionField, optionMap

Property Detail

### additionalParameters

    @Input
    @Optional
    java.util.List additionalParameters

  Additional parameters passed to the compiler. Each parameter must start with '-'.

### bottom

    @Input
    @Optional
    java.lang.String bottom

  Html text to appear in the bottom text for each page.

### deprecation

    @Input
    boolean deprecation

  Generate deprecation information.

### docTitle

    @Input
    @Optional
    java.lang.String docTitle

  Html text to appear in the main frame title.

### footer

    @Input
    @Optional
    java.lang.String footer

  Html text to appear in the footer for each page.

### header

    @Input
    @Optional
    java.lang.String header

  Html text to appear in the header for each page.

### styleSheet

    @InputFile
    @Optional
    java.io.File styleSheet

  Style sheet to override default style.

### top

    @Input
    @Optional
    java.lang.String top

  Html text to appear in the top text for each page.

### unchecked

    @Input
    boolean unchecked

  Generate unchecked information.

### windowTitle

    @Input
    @Optional
    java.lang.String windowTitle

  Text to appear in the window title.

Method Detail

### fieldName2AntMap

    java.util.Map fieldName2AntMap()

### fieldValue2AntMap

    java.util.Map fieldValue2AntMap()

Groovy Documentation